Skip to main content
GET
/
orders
/
{order_id}
/
events
Get Order Events
curl --request GET \
  --url https://api.zinc.com/orders/{order_id}/events \
  --header 'Authorization: <api-key>'
{
  "events": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "event_name": "<string>",
      "elapsed_seconds": 123,
      "current_url": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
Retrieve the full event history for a specific order. Events are returned in chronological order and represent each state change or notable action that occurred during order processing.
Use events to build detailed order timelines or to debug issues with order processing.

Authorizations

Authorization
string
header
required

Zinc API key (Bearer zn_...)

Headers

authorization
string | null

Path Parameters

order_id
string<uuid>
required

Response

Successful Response

Response model for order progress events.

events
ProgressEventResponse · object[]
required
job_id
string<uuid> | null
required